/* Submit Button Animation */
.btn-primary {
  position: relative;
  overflow: hidden;
  transition: all 0.3s ease;
  color: #fff; /* Keep text white */
}

.btn-primary.process::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 0%;
  height: 100%;
  background: linear-gradient(315deg, #3bb78f 0%, #0bab64 74%);
  z-index: -1;
  animation: processing 5s forwards;
  border-radius: 4px;
}

.btn-primary.submitted {
  box-shadow: 0px 1px 10px #0a990a, 0px 2px 15px #990a0a, 0px 3px 20px #0a0a99;
  background: linear-gradient(315deg, #3bb78f 0%, #0bab64 74%);
}

@keyframes processing {
  from { width: 0%; }
  to { width: 100%; }
}
